# Generated from interactor-contracts-0.3.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name interactor-contracts

Name: rubygem-%{gem_name}
Version: 0.3.0
Release: 1%{?dist}
Summary: Add contracts to your interactors
License: MIT
URL: https://github.com/michaelherold/interactor-contracts
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
BuildArch: noarch

%description
Interactors are a pattern for structuring your business logic into units.
They have a flexible context that they pass between them, which makes them
easy-to-write, but hard-to-understand after you've written them. Much of
this confusion comes from not knowing what the interactor is supposed to
take as input and what it's expected to produce.
Enter contracts. Contracts allow you define, up front, a contract both for
the input of an interactor, known as expectations, and the output of it,
known as promises. Additionally, you can define a handler for what happens
when an interactor violates its contracts, known as a breach.
Declaring these contracts can help define your interface and make it easier
to understand how to use an interactor. They form both documentation and
validation for your business logic.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# Run the test suite.
popd

%files
%dir %{gem_instdir}
%license %{gem_instdir}/LICENSE.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md
%doc %{gem_instdir}/README.md
%{gem_instdir}/interactor-contracts.gemspec

%changelog
* Mon Sep 13 2021 mockbuilder - 0.3.0-1
- Initial package
